[Testing Update] 2018-05-02 - KDE Plasma v5.12.5, QEmu

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. Mostly we worked yesterday on our toolchain. This includes the following changes:

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.

Additionally we updated pam. pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Other changes are:

  • added Plasma v5.12.5
  • updated qemu to v2.12.0
  • some more Cinnamon updates

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.107 [EOL]
  • linux41 4.1.51
  • linux44 4.4.130
  • linux49 4.9.97
  • linux414 4.14.38
  • linux415 4.15.18 [EOL]
  • linux416 4.16.6
  • linux417 4.17-rc3
  • linux-rt 4.14.34_rt27

Package Updates (Wed May 2 07:11:40 CEST 2018)

  • testing community x86_64: 53 new and 54 removed package(s)
  • testing core x86_64: 3 new and 3 removed package(s)
  • testing extra x86_64: 57 new and 58 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
gnome-shell-extension-desktop-icons-reworked        0.1-1                0.2-2
       gnome-shell-extension-gnomenu                 23-2                 25-1
gnome-shell-extension-manjaro-update                  4-1                  5-1
                               pacui             1.10.1-1             1.10.2-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
                            cinnamon              3.8.0-2                    -
                        coffeescript              2.2.4-1              2.3.0-1
                                cuda           9.1.85.3-2           9.1.85.3-4
                              dsniff             2.4b1-26             2.4b1-27
                             fractal             0.1.27-1             0.1.28-1
                               gajim              1.0.1-1              1.0.2-1
                            gunicorn             19.7.1-2             19.8.0-1
                                hugo               0.39-1             0.40.2-1
                                mame              0.197-1              0.197-2
                         mate-themes            3.22.15-1            3.22.16-1
                     nemo-fileroller              3.6.0-2              3.8.0-1
                nemo-image-converter              3.6.0-2              3.8.0-1
                        nemo-preview              3.6.0-2              3.8.0-1
                         nemo-python              3.6.0-2              3.8.0-1
                       nemo-seahorse              3.6.0-2              3.8.0-1
                          nemo-share              3.6.0-2              3.8.0-1
                       nemo-terminal              3.6.0-2              3.8.0-1
                  papirus-icon-theme           20180401-1           20180501-1
                     perl-strictures           2.000003-2           2.000005-1
                      perl-type-tiny           1.002001-1           1.002002-1
                            polymake             3.2.r2-2             3.2.r2-3
                    pyopencl-headers           1:2017.2-2         1:2018.1.1-1
                        python-flask                1.0-1              1.0.1-1
                        python-hglib                2.5-1              2.6.1-1
                     python-m2crypto             0.29.0-1             0.30.1-1
                       python-nbxmpp              0.6.4-1              0.6.5-1
                       python-neovim              0.2.5-1              0.2.6-1
             python-ovirt-engine-sdk              4.2.4-1              4.2.5-1
                     python-pyopencl           1:2017.2-2         1:2018.1.1-1
                         python-yarl              1.2.1-1              1.2.2-1
                       python2-flask                1.0-1              1.0.1-1
                    python2-gunicorn             19.7.1-2             19.8.0-1
                       python2-hglib                2.5-1              2.6.1-1
                    python2-m2crypto             0.29.0-1             0.30.1-1
                      python2-nbxmpp              0.6.4-1              0.6.5-1
                      python2-neovim              0.2.5-1              0.2.6-1
            python2-ovirt-engine-sdk              4.2.4-1              4.2.5-1
                    python2-pyopencl           1:2017.2-2         1:2018.1.1-1
                              quazip              0.7.3-3              0.7.3-4
                        riot-desktop             0.14.1-1             0.14.2-1
                            riot-web             0.14.1-1             0.14.2-1
                                sfml              2.4.2-4              2.4.2-5
                           syncthing            0.14.46-1            0.14.47-1
                  syncthing-relaysrv            0.14.46-1            0.14.47-1
                           uglify-js             3.3.22-1             3.3.23-1
                             variety              0.6.6-1              0.6.8-1
                               vault             0.10.0-1             0.10.1-1
                             wiznote              2.5.6-1              2.5.9-1
            xfce4-whiskermenu-plugin              2.1.6-1              2.1.7-1
                          youtube-dl         2018.04.16-1         2018.05.01-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
                        linux417 4.17.r180430.6da6c0d-2 4.17.r180501.f212599-1
                linux417-headers 4.17.r180430.6da6c0d-2 4.17.r180501.f212599-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
                                nano              2.9.5-1              2.9.6-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
                         kinfocenter           5.12.4-2.1             5.12.5-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-01           2018-05-02
-------------------------------------------------------------------------------
                           bluedevil           1:5.12.4-1           1:5.12.5-1
                              breeze             5.12.4-1             5.12.5-1
                         breeze-grub             5.12.4-1             5.12.5-1
                          breeze-gtk             5.12.4-1             5.12.5-1
                         breeze-kde4             5.12.4-1             5.12.5-1
                            discover             5.12.4-1             5.12.5-1
                             drkonqi             5.12.4-1             5.12.5-1
                   kactivitymanagerd             5.12.4-1             5.12.5-1
                       kde-cli-tools             5.12.4-1             5.12.5-1
                      kde-gtk-config             5.12.4-1             5.12.5-1
                         kdecoration             5.12.4-1             5.12.5-1
                    kdeplasma-addons             5.12.4-1             5.12.5-1
                             kgamma5             5.12.4-1             5.12.5-1
                            khotkeys             5.12.4-1             5.12.5-1
                         kinfocenter             5.12.4-2             5.12.5-1
                           kmenuedit             5.12.4-1             5.12.5-1
                          knetattach             5.12.4-2             5.12.5-1
                             kscreen             5.12.4-1             5.12.5-1
                       kscreenlocker             5.12.4-1             5.12.5-1
                         ksshaskpass             5.12.4-1             5.12.5-1
                           ksysguard             5.12.4-1             5.12.5-1
                           kuiserver             5.12.4-3             5.12.5-1
                         kwallet-pam             5.12.4-1             5.12.5-1
                kwayland-integration             5.12.4-1             5.12.5-1
                                kwin             5.12.4-2             5.12.5-1
                             kwrited             5.12.4-1             5.12.5-1
                            libinput             1.10.5-1             1.10.6-1
                          libkscreen             5.12.4-1             5.12.5-1
                        libksysguard             5.12.4-1             5.12.5-1
                               milou             5.12.4-1             5.12.5-1
                              oxygen             5.12.4-1             5.12.5-1
                         oxygen-kde4             5.12.4-1             5.12.5-1
                      plasma-desktop             5.12.4-2             5.12.5-1
                  plasma-integration             5.12.4-1             5.12.5-1
                           plasma-nm             5.12.4-1             5.12.5-1
                           plasma-pa             5.12.4-1             5.12.5-1
                          plasma-sdk             5.12.4-1             5.12.5-1
                        plasma-vault             5.12.4-1             5.12.5-1
              plasma-wayland-session             5.12.4-3             5.12.5-1
                    plasma-workspace             5.12.4-3             5.12.5-1
         plasma-workspace-wallpapers             5.12.4-1             5.12.5-1
                    polkit-kde-agent             5.12.4-1             5.12.5-1
                          powerdevil             5.12.4-2             5.12.5-1
                                qemu             2.11.1-2             2.12.0-1
                     qemu-arch-extra             2.11.1-2             2.12.0-1
                  qemu-block-gluster             2.11.1-2             2.12.0-1
                    qemu-block-iscsi             2.11.1-2             2.12.0-1
                      qemu-block-rbd             2.11.1-2             2.12.0-1
                    qemu-guest-agent             2.11.1-2             2.12.0-1
                       qemu-headless             2.11.1-2             2.12.0-1
            qemu-headless-arch-extra             2.11.1-2             2.12.0-1
                            sddm-kcm             5.12.4-1             5.12.5-1
                      systemsettings             5.12.4-1             5.12.5-1
                        user-manager             5.12.4-1             5.12.5-1
              xdg-desktop-portal-kde             5.12.4-1             5.12.5-1
                 xfce4-screenshooter              1.9.1-1              1.9.2-1
                xfce4-sensors-plugin              1.2.6-3              1.3.0-1


  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


[Stable Review] 2018-05-05 - Kernels, Plasma5, Nvidia, Mesa, GlibC, Firefox, Deepin
#2

This is a wiki post; please edit as necessary.



#3

Against

Bad or missing usercopy whitelist? Kernel memory exposure attempt detected from SLUB object 'nvidia_stack_cache' (offset 11440, size 3)! WARNING: CPU: 0 PID: 16037 at mm/usercopy.c:81 usercopy_warn+0x7e/0xa0

:point_right: SAUCE


#4

I gather this is a Fermi only issue?

$ optirun nvidia-smi
Wed May  2 16:28:26 2018
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 396.18                 Driver Version: 396.18                    |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|===============================+======================+======================|
|   0  GeForce GTX 965M    Off  | 00000000:01:00.0 Off |                  N/A |
| N/A   41C    P0    17W /  N/A |      5MiB /  2004MiB |      0%      Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes:                                                       GPU Memory |
|  GPU       PID   Type   Process name                             Usage      |
|=============================================================================|
|    0     32370      G   /usr/lib/xorg-server/Xorg                      4MiB |
+-----------------------------------------------------------------------------+
$ inxi -G
Graphics:  Card-1: Intel 4th Gen Core Processor Integrated Graphics driver: i915 v: kernel
           Card-2: NVIDIA GM204M [GeForce GTX 965M] driver: N/A
           Display: x11 server: X.Org 1.19.6 driver: intel resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel Haswell Mobile v: 4.5 Mesa 18.0.2
$ uname -a
Linux manjaro 4.16.6-3-MANJARO ...

Is there a 390 legacy driver on the way?


#5

Nvidia 396 is not playing nice with my card and i had to disable it. Waiting for a 390 package to save me


#6

user_copy nvidia issue is mainstream in 390.x series…
Fermi users (like me) will have :
Screenshot_20180502_084643

on 396.x series…


#7

I am on 980m which is Maxwell. I still remember when they put out false advertisement of it being Pascal when in fact it wasn’t as the release later showed.


#8

Any reason why the nvidia driver got replaced by beta?
What about making an extra package for the beta driver, but let the stable one also in the repos?


#9

Update went fine. :smiley:

Checking back through the journal of previous boot I found this:

msm_notifier[713]: QXcbConnection: XCB error: 148 (Unknown), sequence: 2197, resource id: 0, major code: 140 (Unknown), minor code: 20

A quick search suggests this is an error with qt5 (presumably msm_notifier is built with it?) and qt5base was updated a few days ago (here). I do not know enough to take this further but thought it worth commenting. Msm notifier only functioned in automated mode during the boot. It did not cause any noticeable problems.

Quickedit: apologies, although this indeed does appear in the logs it is connected to me running Imperialism 2 (an old 90’s game) in wine, it reproducibly is followed, when I quit the game, with

systemd-coredump[1748]: Process 1695 (services.exe) of user 1000 dumped core.
                                                
                                                Stack trace of thread 1695:
                                                #0  0x000000007bc7efa7 call_exception_handler (/usr/lib32/wine/ntdll.dll.so)
                                                #1  0x000000007bc7fc48 call_exception_handler (/usr/lib32/wine/ntdll.dll.so)
                                                #2  0x00000000f7fa0de0 __kernel_rt_sigreturn (linux-gate.so.1)
                                                #3  0x000000007b475c67 InterlockedDecrement (/usr/lib32/wine/kernel32.dll.so)

(my messy hacking means it does not quit nicely) and likely nothing at all to do with the update. :blush:


#10

What could be this:

[sergio@sergio-pc ~]$ journalctl -p err -b
– Logs begin at Sat 2017-07-22 10:29:21 -03, end at Wed 2018-05-02 13:18:48 -03. –
mai 02 12:52:53 sergio-pc ntpd[678]: bind(21) AF_INET6 fe80::3cf9:b490:6070:7d85%2#123 flags 0x11 failed: Cannot assign requested>
mai 02 12:52:53 sergio-pc ntpd[678]: unable to create socket on enp2s0 (5) for fe80::3cf9:b490:6070:7d85%2#123
mai 02 12:53:08 sergio-pc sudo[1860]: sergio : a password is required ; TTY=unknown ; PWD=/home/sergio ; USER=root ; COMMAND=/u>
mai 02 12:53:08 sergio-pc systemd[1829]: Failed to start Timed resync.

My Internet is working good!


#11

Did you using IPv6 in Your network??


#12

Really, I don’t know, I use DHCP, my configuration is automatic. It’s a wired connection. Only now I am seeing this message.
Since I started with Manjaro never play with that


#13

Added a this set of pkgs this two just now

jade-dashboard
jade-desktop-mode

for jade desktop @codesardine request :wink:


#14

sauce: phoronix.com

NVIDIA has introduced their first stable driver in the 396 driver series for Linux, the 396.24 release.
The NVIDIA 396.24 driver builds off last month’s 396.18 beta and its new Vulkan SPIR-V compiler and other changes.
New product support to the NVIDIA 396.24 Linux driver include the GeForce GTX 1050 with Max-Q and then for new Volta product support includes the Quadro GV100, Tesla V100-SXM2-32GB, Tesla V100-PCIE-32GB, Tesla V100-DGXS-32GB, and Tesla V100-FHHL-16GB.
A prominent change to the NVIDIA 396.24 driver is that it now supports the upcoming X.Org Server 1.20 release. It’s great that NVIDIA continues being punctual with new Linux kernel and xorg-server support. The X.Org Server 1.20 release brings many big changes, including EGLStreams XWayland support for NVIDIA.
This NVIDIA 396.24 driver also adds support for 32-bit PCI domains to the NVIDIA driver stack for supporting the updated PCI Hyper-V support, performance regression fixes for the new Vulkan SPIR-V compiler, other regression fixes, and improved error reporting for the new glvkspirv compiler.

NVIDIA.DEV.Talk thread

@philm @jonathon


#15

Excellent.

Also

which is good for people like @asynec :wink:


For the impatient:


#16

BTW GCC 8.1 Compiler Released As The First Stable GCC8, Brings Many Improvements


#17

Will work on the Nvidia driver, when I finished the new kernels. Should land in unstable later today.


#18

outstanding. If I remember correctly, isn’t xorg server supposed to have fixes for hidpi included?


#19

Thanks for the heads-up! Looks like I’ll be skipping this until updated drivers are released.


#20

Does anyone here use a zsh shell and experienced a slowdown until the shell is loaded, especially if you start a terminal after a reboot? But also slower after reopening a terminal, compared to some time ago?
Maybe it’s just my crazy configuration, so I would be interested to know if someone has a similar experience.